#
# spec file for package bind8 (Version 8.2.4)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  yacc
# usedforbuild    aaa_base aaa_dir base bash bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm yacc

Name:         bind8
Copyright:    1989 The Regents of the University of California.
Group:        System Environment/Daemons
Provides:     dns_daemon
Requires:     bindutil
Conflicts:    bind bind9
Autoreqprov:  on
Version:      8.2.4
Release:      334
Summary:      BIND8 - Name Server
Source:       bind-src.tar.bz2
Source1:      bind-doc.tar.bz2
Source2:      bind-contrib.tar.bz2
Source3:      sample-config.tar.gz
Source4:      named.conf
Source5:      rc.named
Source6:      rc.config.named
Patch:        bind-%{version}.dif
Patch1:       bind8-8.2.4-security.patch
Patch2:       bind8-8.2.4-security2.patch
Patch3:       cachenegative.diff

%description
The named daemon BIND8 with examples. The support utilities nslookup, dig,
dnsquery and host are found in the package bindutil. Documentation on
setting up a name server can be found in /usr/share/doc/packages/bind8.

Authors:
--------
    ISC Software <bind@isc.org>
    Paul Vixie <vixie@vix.com>

SuSE series: n

%package -n bindutil
Summary:      Utilities to query and test DNS
Group:        Networking/Utilities
Provides:     dns_utils bind8:/usr/bin/nslookup
Conflicts:    bind9-utils

%description -n bindutil
This package includes the utilities nslookup, dig, dnsquery and host
used to test and query DNS.
The new bind v8 named daemon is found in the package bind8.

Authors:
--------
    ISC Software <bind@isc.org>
    Paul Vixie <vixie@vix.com>

SuSE series: n

%package devel
Summary:      Development libraries/header files for bind8
Group:        Development/Libraries
Conflicts:    bind9-devel

%description devel
This package contains the header files, libraries and documentation
for building programs using the BIND8-libraries.

Authors:
--------
    ISC Software <bind@isc.org>
    Paul Vixie <vixie@vix.com>

SuSE series: n

%prep
%setup -q -c
%setup -q -T -D -a1
mv -f src/* src/.cvsignore .
rmdir src
%setup -q -T -D -a3 -n bind8-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make clean
make depend
make

%install
make install
install -m 644 %{SOURCE4} /etc/named.conf
install -m 755 %{SOURCE5} /etc/init.d/named
ln -sf ../../etc/init.d/named /usr/sbin/rcnamed
mkdir -p /var/adm/fillup-templates
install -m 644 %{SOURCE6} /var/adm/fillup-templates/rc.config.named
mkdir -p /var/named/slave
chown named /var/named /var/named/slave
install -m 644 sample-config/root.hint /var/named
install -m 644 sample-config/{127.0.0,localhost}.zone /var/named
chmod a-x * bin/named-bootconf/*
# ---------------------------------------------------------------------------

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.named
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.named and"
  echo "update by hand."
fi
#
# Initialize runlevel links
#
sbin/insserv etc/init.d/named

%postun
sbin/insserv etc/init.d/
# ---------------------------------------------------------------------------

%files
%dir /var/named
%dir /var/named/slave
%config(noreplace) /etc/named.conf
%config /var/named/root.hint
%config /var/named/127.0.0.zone
%config /var/named/localhost.zone
%config /etc/init.d/named
/var/adm/fillup-templates/rc.config.named
/usr/bin/addr
#/usr/bin/mkservdb
/usr/bin/nsupdate
/usr/sbin/dnskeygen
/usr/sbin/irpd
/usr/sbin/named
/usr/sbin/named-bootconf
/usr/sbin/named-xfer
/usr/sbin/ndc
/usr/sbin/rcnamed
%doc %{_mandir}/man1/dnskeygen.1.gz
%doc %{_mandir}/man5/irs.conf.5.gz
%doc %{_mandir}/man5/named.conf.5.gz
#%doc %{_mandir}/man7/mailaddr.7.gz
%doc %{_mandir}/man8/named-bootconf.8.gz
%doc %{_mandir}/man8/named-xfer.8.gz
%doc %{_mandir}/man8/named.8.gz
%doc %{_mandir}/man8/ndc.8.gz
%doc %{_mandir}/man8/nsupdate.8.gz
%doc CHANGES DNSSEC INSTALL LICENSE LICENSE_RSA
%doc README SUPPORT TODO Version
%doc bin/named-bootconf/named-bootconf
%doc bin/named-bootconf/named-bootconf.sh
%doc bin/named-bootconf/Grot/named-bootconf.pl
%doc sample-config
#%doc doc/bog
%doc doc/html
#%doc doc/man
#%doc doc/misc
%doc doc/misc/FAQ.1of2
%doc doc/misc/FAQ.2of2
%doc doc/misc/rfc2317-notes.txt
%doc doc/misc/style.txt
#%doc doc/notes doc/old doc/rfc doc/tmac

%files -n bindutil
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/host
/usr/bin/nslookup
/usr/lib/nslookup.help
%doc %{_mandir}/man1/dig.1.gz
%doc %{_mandir}/man1/dnsquery.1.gz
%doc %{_mandir}/man1/host.1.gz
#%doc %{_mandir}/man5/resolver.5.gz
%doc %{_mandir}/man7/hostname.7.gz
%doc %{_mandir}/man8/nslookup.8.gz

%files devel
/usr/lib/libbind.a
/usr/lib/libbind_r.a
/usr/include/bind
#%doc %{_mandir}/man3/getaddrinfo.3.gz
#%doc %{_mandir}/man3/gethostbyname.3.gz
#%doc %{_mandir}/man3/getipnodebyname.3.gz
#%doc %{_mandir}/man3/getnameinfo.3.gz
#%doc %{_mandir}/man3/getnetent.3.gz
#%doc %{_mandir}/man3/hesiod.3.gz
#%doc %{_mandir}/man3/inet_cidr.3.gz
#%doc %{_mandir}/man3/resolver.3.gz
#%doc %{_mandir}/man3/tsig.3.gz

%changelog -n bind8
* Wed Nov 26 2003 - lmuelle@suse.de
- add cachenegative patch; CERT/CC VU #734644, CAN-2003-0914, [Bug #33346]
* Wed Nov 13 2002 - okir@suse.de
- multiple security patches from ISC
* Tue Jul 09 2002 - okir@suse.de
- security fix for libbind overrun
* Fri Aug 17 2001 - bodammer@suse.de
- initscript and textfiles moved away from bind-8.2.4.dif
* Thu May 17 2001 - bodammer@suse.de
- update to bind-8.2.4-REL (release)
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start bind in runlevel 2 [bug #7956]
- useless named.conf removed from docu
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Tue May 08 2001 - bodammer@suse.de
- mistake in sample-config corrected
* Fri May 04 2001 - bodammer@suse.de
- redundant status message removed from init-script at force-reload
- corrections to named.conf and sample-config (unimportant mistakes)
* Tue Apr 24 2001 - bodammer@suse.de
- install a new more actual named.conf
* Mon Apr 02 2001 - bodammer@suse.de
- update of pid-file at reload fixed
* Tue Mar 27 2001 - bodammer@suse.de
- new initscript more LSB conform
* Mon Mar 26 2001 - kukuk@suse.de
- Remove resolver.5 from filelist for bindutil. The format is not
  supported by glibc, only by the internal resolver library of bind.
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Mon Mar 12 2001 - bodammer@suse.de
- initscript fix: use official tags for required start
- development manual pages removed from bind8-devel
* Tue Feb 27 2001 - bodammer@suse.de
- initscript fix: now checks for a running named
* Mon Feb 12 2001 - bodammer@suse.de
- subpackage bind8-devel added
* Mon Jan 29 2001 - bodammer@suse.de
- update to bind-8.2.3-REL (release version)
* Wed Dec 20 2000 - bodammer@suse.de
- periodical statistics logging disabled in sample named.conf
* Mon Dec 04 2000 - bodammer@suse.de
- update to bind8 version bind-8.2.3-T9B
* Tue Nov 28 2000 - kukuk@suse.de
- Fix location of rcscript
* Wed Nov 22 2000 - ro@suse.de
- rcscript update
* Tue Nov 21 2000 - schwab@suse.de
- Fix permissions.
* Mon Oct 23 2000 - schwab@suse.de
- Fix clash with strndup from <string.h>.
- Fix int/pointer clashes.
* Fri Oct 06 2000 - kukuk@suse.de
- change group tag
* Fri Aug 18 2000 - bodammer@suse.de
- specfile-fix: pre-install script removed
* Fri Jul 21 2000 - bodammer@suse.de
- update to bind8 version 8.2.3-T6B
* Fri May 12 2000 - bodammer@suse.de
- update to bind8 version 8.2.3-T5B
* Wed Apr 12 2000 - bodammer@suse.de
- specfile-fix to remove exec permissions in /usr/doc/packages/bind8
* Thu Mar 16 2000 - bodammer@suse.de
- manpage resolver.5.gz and hostname.7.gz moved to package bindutil
* Tue Mar 07 2000 - kukuk@suse.de
- Remove all development manual pages
* Fri Mar 03 2000 - kukuk@suse.de
- Use gethostbyname, getnetent, resolver and mailaddr manual page
  from ldpman package
* Mon Feb 21 2000 - bodammer@suse.de
- specfile-fix: conflicts bind9 added
* Wed Feb 02 2000 - bodammer@suse.de
- initscript reload-option modified
* Wed Feb 02 2000 - bodammer@suse.de
- specfile-fix: bug in pre-section fixed
* Wed Feb 02 2000 - ro@suse.de
- man to /usr/share
* Tue Feb 01 2000 - bodammer@suse.de
- initscript and specfile changed to run named as user named
* Mon Nov 15 1999 - bodammer@suse.de
- update to BIND8-8.2.2-P5
* Thu Nov 11 1999 - bodammer@suse.de
- update to BIND8-8.2.2-P3 (some security fixes)
* Tue Nov 02 1999 - bodammer@suse.de
- location of pid-file changed in /etc/named.conf (sample-file)
* Wed Oct 27 1999 - bodammer@suse.de
- specfile-fix
* Tue Oct 26 1999 - bodammer@suse.de
- more docu included
* Mon Oct 25 1999 - bodammer@suse.de
- added sample-config
* Fri Oct 22 1999 - bodammer@suse.de
- new version of bind 8.2 (8.2.2-REL)
  divided in two packages: bind8, bindutil
* Thu Sep 30 1999 - bodammer@suse.de
- new version of bind 8.2 (8.2.2T4B)
  fixes remote bind8 vulnerability
* Mon Sep 20 1999 - ro@suse.de
- added Provides dns_daemon
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Feb 22 1999 - ro@suse.de
- lib/isc: use SYSTYPE linux
  define _GNU_SOURCE
  call siggetmask to get default parameter for
  new pselect in glibc-2.1
* Wed Jan 13 1999 - uli@suse.de
- made 'new style' init script
- added rcnamed link
* Fri Jan 08 1999 - florian@suse.de
- fixed the location of the pid file
* Mon Dec 07 1998 - florian@suse.de
- do not use user named or group named per default
* Tue Jul 21 1998 - bs@suse.de
- fixed spec file.
* Sun Jul 19 1998 - florian@suse.de
- update to bind 8.1.2
* Wed Apr 08 1998 - florian@suse.de
- update to bind 4.9.7
* Wed Oct 29 1997 - florian@suse.de
- change all sample IP addresses to be form 192.168.*.*
* Thu Oct 02 1997 - florian@suse.de
- make bind compile with newer kernel include files
* Mon Jun 23 1997 - florian@suse.de
- update to version 4.9.6
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Tue May 27 1997 - florian@suse.de
- update to version 4.9.5pl1
- update file of root servers
* Thu Jan 02 1997 - florian@suse.de
- start syslogd first, so named can print syslog messages
* Thu Jan 02 1997 - bs@suse.de
  fillup ist drin.
  Mon Sep  2 02:48:35 MET DST 1996
  neue Version - fillup fehlt immer noch.
  Sun Aug 25 19:28:50 MET DST 1996
  new version 4.9.4
  added start-script in /sbin/init.d, START_NAMED in /etc/rc.config
  new /var/named/root.cache file
